package com.ruoyi.pay.service;

import com.ruoyi.pay.domain.PayBaohuoWorktime;
import com.ruoyi.pay.domain.vo.PayBaohuoWorktimeVo;
import com.ruoyi.pay.domain.bo.PayBaohuoWorktimeBo;
import com.ruoyi.common.core.page.TableDataInfo;
import com.ruoyi.common.core.domain.PageQuery;

import java.util.Collection;
import java.util.List;

/**
 * 包活工单工时关联Service接口
 *
 * @author ruoyi
 * @date 2025-05-12
 */
public interface IPayBaohuoWorktimeService {

    /**
     * 查询包活工单工时关联
     */
    PayBaohuoWorktimeVo queryById(Long id);

    /**
     * 查询包活工单工时关联列表
     */
    TableDataInfo<PayBaohuoWorktimeVo> queryPageList(PayBaohuoWorktimeBo bo, PageQuery pageQuery);

    /**
     * 查询包活工单工时关联列表
     */
    List<PayBaohuoWorktimeVo> queryList(PayBaohuoWorktimeBo bo);

    /**
     * 新增包活工单工时关联
     */
    Boolean insertByBo(PayBaohuoWorktimeBo bo);

    /**
     * 修改包活工单工时关联
     */
    Boolean updateByBo(PayBaohuoWorktimeBo bo);

    /**
     * 校验并批量删除包活工单工时关联信息
     */
    Boolean deleteWithValidByIds(Collection<Long> ids, Boolean isValid);
}
